<?php
require_once('/home/spool/edugain-urn/simplesamlphp/www/_include.php');

require_once('SimpleSAML/Utilities.php');
require_once('SimpleSAML/Session.php');
require_once('SimpleSAML/XML/MetaDataStore.php');
require_once('SimpleSAML/XHTML/Template.php');
session_start();

function showAdminSection() {
?>
	<div id="infopending" class="urnbox infoadmin">
		<p>Congratulations! If you're seeing this text, it's because you're an administrator. Feel free to accept or to reject all pre-registered URNs sent to this wonderful system!</p>
		<span id="error_admin_msg">&nbsp;</span>
		<p>List of sent URNs:</p>
	</div>
<?php
}

$config = SimpleSAML_Configuration::getInstance();
$metadata = new SimpleSAML_XML_MetaDataStore($config);

$session = SimpleSAML_Session::getInstance();

if (!isset($session) || !$session->isValid() ) {
	
	header('Location: /' . $config->getValue('baseurlpath') . 'shib13/sp/initSSO.php?RelayState=' . urlencode(SimpleSAML_Utilities::selfURL()));
		// . '&idpentityid=' . $idpentityid );
	exit(0);
}

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html>
<head>
	<title>URNreg</title>
    <link href="css/urnreg.css" rel="stylesheet" type="text/css">
	<link rel="stylesheet" type="text/css" href="NiftyCube/niftyCorners.css">
	<script type="text/javascript" src="Prototype/prototype.js"></script>
	<script type="text/javascript" src="NiftyCube/niftycube.js"></script>
	<script type="text/javascript" src="js/Base64.js"></script>
	<script type="text/javascript" src="js/URNregConfig.js"></script>
	<script type="text/javascript" src="js/urnregmanager.js"></script>
	<script type="text/javascript">
	    //<![CDATA[
	    var urnregConfig = new URNregConfig();
    	var urnregManager = new URNregManager();
    	
		function checkEnter(e) {
			var kC = window.event ? event.keyCode : e && e.keyCode ? e.keyCode : e && e.which ? e.which : null;
			if (kC) return kC == 13;
			else return false;
		}
		
		window.onload=function(){
			urnregManager.showPendingURN("urn:geant:edugain");
			var l = $('headercontent');
            var r = $('searchbox');
            
            if (r.offsetHeight >= l.offsetHeight) {
            	l.style.height = r.offsetHeight + "px";
            }
            else {
            	r.style.height = l.offsetHeight + "px";
            }
		} 
	</script>
</head>
<body>
<div id="main">
	<div id="header">
		<div id="headerthing">&nbsp;</div>
		<div id="headercontent">
			<div id="searchbox">
				<div><span id="searchbutton" onclick="urnregManager.search();">&nbsp;</span><input type="text" name="search" id="search" class="inputtext" onkeypress="if(checkEnter(event))urnregManager.search();"/></div>
				<div id="searchadvlink">Advanced search</div>
			</div>
			<div id="nav">
				<ul id="list">
					<li><a href="index.php"><span>Home</span></a></li>
					<li><a href="browser.php"><span>Browser</span></a></li>
					<li><a href="help.php"><span>Help</span></a></li>
					<li><a href="admin.php"><span>Admin</span></a></li>
				</ul>
			</div>
		</div>
	</div>
	<div id="contenturns">
<?php
	$attrs=$session->getAttributes();
	$ids=$attrs['urn:mace:dir:attribute-def:eduPersonTargetedId'];
	$id=$ids[0];
	if (strcmp($id,"kan@rediris.es")==0) {
		showAdminSection();
	}
	else {
		echo "<div id=\"info\" class=\"urnbox infoadmin\"><p>You're not an administrator.</p></div>";
	}
?>
	</div>
	<div id="footer"><img src="icons/siledap-api.png" alt="api" /></div>
</div>
</body>
</html>
